fix kmod-sit dependencies
authorNicolas Thill <nico@openwrt.org>
Tue, 27 Jan 2009 17:24:31 +0000 (17:24 +0000)
committerNicolas Thill <nico@openwrt.org>
Tue, 27 Jan 2009 17:24:31 +0000 (17:24 +0000)
SVN-Revision: 14222

package/kernel/modules/netsupport.mk

index add8024..73c8b02 100644 (file)
@@ -276,21 +276,12 @@ endef
 $(eval $(call KernelPackage,ipv6))
 
 
+# sit is not selectable on 2.4, but built when ipv6 is enabled
 define KernelPackage/sit
   SUBMENU:=$(NETWORK_SUPPORT_MENU)
-  DEPENDS:=+kmod-iptunnel4
+  DEPENDS:=+kmod-ipv6 +LINUX_2_6:kmod-iptunnel4
   TITLE:=IPv6-in-IPv4 tunnelling
-endef
-
-# sit is compiled in the 2.4 ipv6 stack
-define KernelPackage/sit/2.4
-  DEPENDS:= @LINUX_2_4 +kmod-ipv6
-  KCONFIG:=CONFIG_IPV6
-endef
-
-define KernelPackage/sit/2.6
-  DEPENDS:= @LINUX_2_6 +kmod-ipv6 +kmod-iptunnel4
-  KCONFIG+=CONFIG_IPV6_SIT
+  KCONFIG:=CONFIG_IPV6 CONFIG_IPV6_SIT
   FILES:=$(LINUX_DIR)/net/ipv6/sit.$(LINUX_KMOD_SUFFIX)
   AUTOLOAD:=$(call AutoLoad,32,sit)
 endef